.details-card {
    border: 1px solid #ccc;
    padding: 20px;
    margin: 20px;
    width: calc(20% - 40px);
    box-sizing: border-box;
    display: inline-block;
    vertical-align: top;
  }
  
  @media (max-width: 1200px) {
    .details-card {
      width: calc(25% - 40px);
    }
  }
  
  @media (max-width: 992px) {
    .details-card {
      width: calc(33.333% - 40px);
    }
  }
  
  @media (max-width: 768px) {
    .details-card {
      width: calc(50% - 40px);
    }
  }
  
  @media (max-width: 576px) {
    .details-card {
      width: calc(100% - 40px);
    }
  }
  
  .details-image img {
    width: 100%;
    height: 200px; 
    object-fit: cover;
  }
  
  .details-info {
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: 200px; 
    
  }
  
  .details-info h2 {
    font-size: 1.5rem;
    margin-bottom: 10px;
    text-align: center;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  
  .details-price {
    font-size: 1.2rem;
    font-weight: bold;
    margin-bottom: 10px;
  }
  
  .details-button {
    background-color: #007bff;
    color: #fff;
    text-align: center;
    text-decoration: none;
    padding: 10px 20px;
    border-radius: 5px;
    transition: background-color 0.3s ease;
  }
  
  .details-button:hover {
    background-color: #0062cc;
  }